PassThrough Requests for getting the Application related fields

Sample PassThrough requeats for getting the list of possible values of source, institute, major, and degree fields in create application Api for Greenhouse.

List Sources

Use the id field, in the response, as source in create application api.

A cURL request could look like this:

curl --location 'https://api.getknit.dev/v1.0/passthrough' \
--header 'Authorization: Bearer <YOUR_API_KEY>' \
--header 'X-Knit-Integration-Id: <YOUR_INTEGRATION_ID>' \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--data '{
    "method": "GET",
    "path": "sources"
}' 

and the response could look like the following:

{
    "success": true,
    "data": {
        "response": {
            "body": "[{\"id\":4000305007,\"name\":\"Stack\",\"type\":{\"id\":4000014007,\"name\":\"Prospecting\"}},{\"id\":4000306007,\"name\":\"GitHub Jobs\",\"type\":{\"id\":4000011007,\"name\":\"Third-party boards\"}}]",
            "headers": {
                "Content-Type": "application/json;charset=utf-8",
                "Connection": "keep-alive",
                "Date": "Wed, 01 Jul 2026 10:04:24 GMT",
                "Strict-Transport-Security": "max-age=31536000; includeSubDomains",
                "link": "<https://harvest.greenhouse.io/v1/sources?page=2&per_page=2>; rel=\"next\",<https://harvest.greenhouse.io/v1/sources?page=183&per_page=2>; rel=\"last\"",
                "x-ratelimit-limit": "50",
                "x-ratelimit-remaining": "48",
                "x-content-type-options": "nosniff",
                "cross-origin-opener-policy": "same-origin",
                "x-request-id": "52c9a901cc73df4cb3a02df4182d2316",
                "X-Cache": "Miss from cloudfront",
                "Via": "1.1 8c0041b3598a539d39642d111544edbe.cloudfront.net (CloudFront)",
                "X-Amz-Cf-Pop": "BOM78-P11",
                "X-Amz-Cf-Id": "lSZ8ZImMYV8w2GOAP6b1SavnrnRYKPpotULviZAaUeTb2dx-mfx8WQ==",
                "content-length": "172"
            }
        }
    }
}

List Institutes

Use the id field, in the response, as the institute in create application api.

A cURL request could look like this:

curl --location 'https://api.getknit.dev/v1.0/passthrough' \
--header 'Authorization: Bearer <YOUR_API_KEY>' \
--header 'X-Knit-Integration-Id: <YOUR_INTEGRATION_ID>' \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--data '{
    "method": "GET",
    "path": "schools"
}'

and the response could look like the following:

{
    "success": true,
    "data": {
        "response": {
            "body": "[{\"id\":6649361007,\"name\":\"Abraham Baldwin Agricultural College\",\"priority\":0,\"external_id\":null},{\"id\":6649362007,\"name\":\"Academy of Art University\",\"priority\":1,\"external_id\":null}]",
            "headers": {
                "Content-Type": "application/json;charset=utf-8",
                "Connection": "keep-alive",
                "Date": "Wed, 01 Jul 2026 10:06:17 GMT",
                "Strict-Transport-Security": "max-age=31536000; includeSubDomains",
                "link": "<https://harvest.greenhouse.io/v1/schools?per_page=2&since_id=6649362007>; rel=\"next\"",
                "x-ratelimit-limit": "50",
                "x-ratelimit-remaining": "49",
                "x-content-type-options": "nosniff",
                "cross-origin-opener-policy": "same-origin",
                "x-request-id": "7fc37b49d67fd40b2572fdb70cadc54a",
                "X-Cache": "Miss from cloudfront",
                "Via": "1.1 8fbcb89e6e4b0dda061298ebc30653d8.cloudfront.net (CloudFront)",
                "X-Amz-Cf-Pop": "BOM78-P11",
                "X-Amz-Cf-Id": "pOvmjcadmr6pgTIR2EkKedXk-upWFIBsGnkAtHhpbbKVM3uxnjrRzw==",
                "content-length": "182"
            }
        }
    }
}


List Degrees

Use the id field, in the response, as the degree in create application api.

A cURL request could look like this:

curl --location 'https://api.getknit.dev/v1.0/passthrough' \
--header 'Authorization: Bearer <YOUR_API_KEY>' \
--header 'X-Knit-Integration-Id: <YOUR_INTEGRATION_ID>' \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--data '{
    "method": "GET",
    "path": "degrees"
}'

and the response could look like the following:

{
    "success": true,
    "data": {
        "response": {
            "body": "[{\"id\":6651827007,\"name\":\"High School\",\"priority\":0,\"external_id\":null},{\"id\":6651828007,\"name\":\"Associate's Degree\",\"priority\":1,\"external_id\":null}]",
            "headers": {
                "Content-Type": "application/json;charset=utf-8",
                "Connection": "keep-alive",
                "Date": "Wed, 01 Jul 2026 10:09:12 GMT",
                "Strict-Transport-Security": "max-age=31536000; includeSubDomains",
                "link": "<https://harvest.greenhouse.io/v1/degrees?per_page=2&since_id=6651828007>; rel=\"next\"",
                "x-ratelimit-limit": "50",
                "x-ratelimit-remaining": "49",
                "x-content-type-options": "nosniff",
                "cross-origin-opener-policy": "same-origin",
                "x-request-id": "913b169970534ac921f6f6a5284c1d35",
                "X-Cache": "Miss from cloudfront",
                "Via": "1.1 8a4ad7a380f44490867006729a8f8656.cloudfront.net (CloudFront)",
                "X-Amz-Cf-Pop": "BOM78-P11",
                "X-Amz-Cf-Id": "Q5x9YWpLf5FoXv-ZE2lsI9ciKXA6HRjoIM5ZVVoINhvJKGRFN-OV_Q==",
                "content-length": "150"
            }
        }
    }
}


List Majors

Use the id field, in the response, as major in create application api.

A cURL request could look like this:

curl --location 'https://api.getknit.dev/v1.0/passthrough' \
--header 'Authorization: Bearer <YOUR_API_KEY>' \
--header 'X-Knit-Integration-Id: <YOUR_INTEGRATION_ID>' \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--data '{
    "method": "GET",
    "path": "disciplines"
}'

and the response could look like the following:

{
    "success": true,
    "data": {
        "response": {
            "body": "[{\"id\":6651837007,\"name\":\"Accounting\",\"priority\":0,\"external_id\":null},{\"id\":6651838007,\"name\":\"African Studies\",\"priority\":1,\"external_id\":null}]",
            "headers": {
                "Content-Type": "application/json;charset=utf-8",
                "Connection": "keep-alive",
                "Date": "Wed, 01 Jul 2026 10:10:26 GMT",
                "Strict-Transport-Security": "max-age=31536000; includeSubDomains",
                "link": "<https://harvest.greenhouse.io/v1/disciplines?per_page=2&since_id=6651838007>; rel=\"next\"",
                "x-ratelimit-limit": "50",
                "x-ratelimit-remaining": "49",
                "x-content-type-options": "nosniff",
                "cross-origin-opener-policy": "same-origin",
                "x-request-id": "c212a88a8fc93add4f1a1657a3e476b3",
                "X-Cache": "Miss from cloudfront",
                "Via": "1.1 90fe7ca2c454c7e60ff047b2b19dacc0.cloudfront.net (CloudFront)",
                "X-Amz-Cf-Pop": "BOM78-P11",
                "X-Amz-Cf-Id": "bbe8Q-zLOzK2K8oenF1WJV50XxCGOvXelXLZRvSTOzg-1cdcHxRdRA==",
                "content-length": "146"
            }
        }
    }
}